/* Funções da tabela Configuracoes/Funcionario */
window.onload = function () {
  
  var comboboxtipo = document.getElementById("tipo_pessoa");
  if (comboboxtipo.value=="Física"){
  comboboxtipo.selectedIndex = 1;
}
if (comboboxtipo.value=="Jurídica"){
  comboboxtipo.selectedIndex = 2;
}
tipo();
  

  $('#cadpessoas tbody').on('click', 'tr', function () {
    $(this).toggleClass('selected');
  });

  $('#gravar_pessoa').click(function () {
    swal({
      title: "Deseja salvar?",
      text: "Certifique-se de ter verificado todos os dados antes de efetuar a ação!",
      type: "warning",
      showCancelButton: true,
      confirmButtonColor: "#1E9FF2",
      confirmButtonText: "Sim, pode salvar!",
      cancelButtonText: "Não, cancele!",
      closeOnConfirm: true,
      closeOnCancel: false
    }, function (isConfirm) {
      if (isConfirm) {
        $('#cadpessoas').submit();
        
        
        
      } else {
        swal("Cancelado", "Operação cancelada! Dados não gravados", "error");
      }
    });
  });

  $('#documento_pessoa').blur(function () {
    var documento = document.getElementById('documento_pessoa').value.replace(/[^\d]+/g,'');
    
    //var usuario = $(this).val();
    $.ajax({
      type: "POST",
      url: base_url + 'Administrativo/Pessoas/pessoasVerificar',
      data: {
        'documento': documento,
        csrf_token: $('#crsf_token').val()
      },
      dataType: 'json',
      success: function (data) {
        
        if (data.length > 0) {
          if (documento != "") {
            var idpessoa= document.getElementById('id_pessoa').value;
            if (idpessoa ==""){
            if (documento != data[0].DOCUMENTO_PESSOA) {
              swal({
                title: "Usuário encontrado!",
                text: "O usuário informado já existe na base de dados, deseja editá-lo?",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#1E9FF2",
                confirmButtonText: "Sim, desejo editar!",
                cancelButtonText: "Não, cancele!",
                closeOnConfirm: true,
                closeOnCancel: false
              }, function (isConfirm) {
                if (isConfirm) {
                  
                  window.location.replace(base_url + "Administrativo/Pessoas/pessoasEditar/" +btoa(data[0].ID_PESSOA));


                } else {
                  swal("Cancelado", "Operação cancelada!", "error");
                 
                
                  $('#documento_pessoa').val("");
                 
                }
              });
            }

          }
          } else {
            swal({
              title: "Usuário encontrado!",
              text: "O usuário informado já existe na base de dados, deseja editá-lo?",
              type: "warning",
              showCancelButton: true,
              confirmButtonColor: "#1E9FF2",
              confirmButtonText: "Sim, desejo editar!",
              cancelButtonText: "Não, cancele!",
              closeOnConfirm: true,
              closeOnCancel: false
            }, function (isConfirm) {
              if (isConfirm) {
                
                window.location.replace(base_url + "/Administrativo/Pessoas/pessoasEditar/" + btoa(data[0].ID_PESSOA));
              } else {
                swal("Cancelado", "Operação cancelada!", "error");
                $('#documento_pessoa').val("");
              }
            });
          }
        }
      }
    });
  });

  $('#documento_empresa').blur(function () {
    var documento = document.getElementById('documento_empresa').value.replace(/[^\d]+/g,'');
    
    //var usuario = $(this).val();
    $.ajax({
      type: "POST",
      url: base_url + 'Administrativo/Pessoas/pessoasVerificar',
      data: {
        'documento': documento,
        csrf_token: $('#crsf_token').val()
      },
      dataType: 'json',
      success: function (data) {
        
        if (data.length > 0) {
          if (documento != "") {
            var idpessoa= document.getElementById('id_pessoa').value;
            if (idpessoa ==""){
            if (documento != data[0].DOCUMENTO_PESSOA) {
              swal({
                title: "Usuário encontrado!",
                text: "O usuário informado já existe na base de dados, deseja editá-lo?",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#1E9FF2",
                confirmButtonText: "Sim, desejo editar!",
                cancelButtonText: "Não, cancele!",
                closeOnConfirm: true,
                closeOnCancel: false
              }, function (isConfirm) {
                if (isConfirm) {
                  
                  window.location.replace(base_url + "Administrativo/Pessoas/pessoasEditar/" +btoa(data[0].ID_PESSOA));


                } else {
                  swal("Cancelado", "Operação cancelada!", "error");
                 
                
                  $('#documento_pessoa').val("");
                 
                }
              });
            }

          }
          } else {
            swal({
              title: "Usuário encontrado!",
              text: "O usuário informado já existe na base de dados, deseja editá-lo?",
              type: "warning",
              showCancelButton: true,
              confirmButtonColor: "#1E9FF2",
              confirmButtonText: "Sim, desejo editar!",
              cancelButtonText: "Não, cancele!",
              closeOnConfirm: true,
              closeOnCancel: false
            }, function (isConfirm) {
              if (isConfirm) {
                
                window.location.replace(base_url + "/Administrativo/Pessoas/pessoasEditar/" + btoa(data[0].ID_PESSOA));
              } else {
                swal("Cancelado", "Operação cancelada!", "error");
                $('#documento_pessoa').val("");
              }
            });
          }
        }
      }
    });
  });

  /** Limpa e gera pesquisa */
  $('#limpafrmpesquisa').click(function () {
    $("#frm_pesquisa")[0].reset();
    $('#frm_pesquisa input').val(""); //coloca todos valores de todos inputs do form como vazio
    $(":checkbox").prop('checked', false);
    $(':checkbox').find('checked').remove();
  });
  $('#enviafrmpesquisa').click(function () {
    $("#frm_pesquisa")[0].submit();
  });  

};




function mascara(inputmask){
  var t = document.querySelector("#telefone_pessoa");
  var i = t.value.length;
  var saida = inputmask.substring(1,0);
  var texto = inputmask.substring(i)
  if (texto.substring(0,1) != saida){
  t.value += texto.substring(0,1);
  }
}


function tipo(){
  const troca = document.querySelector("#item1");
  const tipo = document.querySelector("#tipo_pessoa").value;
  var div1 =document.querySelector("#item1");
  var div2 =document.querySelector("#item2");

 
  if (tipo == "Física"){
  
  
   // $("#item1").replaceWith(camposf);
  //troca.replaceWith(camposf);
  // troca.innerHTML ="Python3";
    div1.style.display = 'block';
    div2.style.display = 'none';

    $("#nome_pessoa").attr({required: 'required'});
    $("#documento_pessoa").attr({required: 'required'});
    $("#telefone_pessoa").attr({required: 'required'});
    $("#cep_pessoa").attr({required: 'required'});
    $("#endereco_pessoa").attr({required: 'required'});
    $("#bairro_pessoa").attr({required: 'required'});
    $("#cidade_pessoa").attr({required: 'required'});
    $("#estado_pessoa").attr({required: 'required'});
    $("#tipo_pagamentop").attr({required: 'required'});
    $("#banco_agenciap").attr({required: 'required'});
    $("#banco_contap").attr({required: 'required'});
    $("#banco_cidadep").attr({required: 'required'});




    $("#nome_empresa").removeAttr('required');
  $("#documento_empresa").removeAttr('required');
  $("#telefone_empresa").removeAttr('required');
  $("#cep_empresa").removeAttr('required');
  $("#endereco_empresa").removeAttr('required');
  $("#bairro_empresa").removeAttr('required');
  $("#cidade_empresa").removeAttr('required');
  $("#estado_empresa").removeAttr('required');
  $("#tipo_pagamentoe").removeAttr('required');
  $("#ie_empresa").removeAttr('required');
  $("#banco_agenciae").removeAttr('required');
  $("#banco_contae").removeAttr('required');
  $("#banco_cidadee").removeAttr('required');
    
   
    
     
  
  }
  if (tipo == "Jurídica"){
    //$("#item1").replaceWith(camposj);
  //troca.replaceWith("<h4>Novo conteúdo</h4>");
  // troca.innerHTML ="Python3";
  div1.style.display = 'none';
  div2.style.display = 'block';

  $("#nome_empresa").attr({required: 'required'});
    $("#documento_empresa").attr({required: 'required'});
    $("#telefone_empresa").attr({required: 'required'});
    $("#cep_empresa").attr({required: 'required'});
    $("#endereco_empresa").attr({required: 'required'});
    $("#bairro_empresa").attr({required: 'required'});
    $("#cidade_empresa").attr({required: 'required'});
    $("#estado_empresa").attr({required: 'required'});
    $("#tipo_pagamentoe").attr({required: 'required'});
    $("#ie_empresa").attr({required: 'required'});
    $("#banco_agenciae").attr({required: 'required'});
    $("#banco_contae").attr({required: 'required'});
    $("#banco_cidadee").attr({required: 'required'});




  
  $("#nome_pessoa").removeAttr('required');
  $("#documento_pessoa").removeAttr('required');
  $("#telefone_pessoa").removeAttr('required');
  $("#cep_pessoa").removeAttr('required');
  $("#endereco_pessoa").removeAttr('required');
  $("#bairro_pessoa").removeAttr('required');
  $("#cidade_pessoa").removeAttr('required');
  $("#estado_pessoa").removeAttr('required');
  $("#tipo_pagamentop").removeAttr('required');
  $("#banco_agenciap").removeAttr('required');
  $("#banco_contap").removeAttr('required');
  $("#banco_cidadep").removeAttr('required');
  
  
  
   

  }
  if (tipo == "Selecione uma Opção"){
    div1.style.display = 'none';
    div2.style.display = 'none';
    
  }

  $("#documento_pessoa").inputmask("999.999.999-99")
			$("#documento_empresa").inputmask("99.999.999/9999-99")
			$("#telefone_pessoa").inputmask("(99) 99999-9999")
      $("#telefone_empresa").inputmask("(99) 99999-9999")
			$("#salario").inputmask("999.999.990,00", {reverse: true})
		$("#cep_pessoa").inputmask("99.999-999")
      $("#cep_empresa").inputmask("99.999-999")
			$("#dataNascimento").inputmask("00/00/0000")
			
			$("#rg").inputmask("999.999.999-W", {
				translation: {
					'W': {
						pattern: /[X0-9]/
					}
				},
				reverse: true
			})
			
			var options = {
				translation: {
					'A': {pattern: /[A-Z]/},
					'a': {pattern: /[a-zA-Z]/},
					'S': {pattern: /[a-zA-Z0-9]/},
					'L': {pattern: /[a-z]/},
				}
			}
			
			$("#placa").inputmask("AAA-0000", options)
			
			$("#codigo").inputmask("AA.LLL.0000", options)
			
			$("#celular").inputmask("(00) 0000-00009")
			
			$("#celular").blur(function(event){
				if ($(this).val().length == 15){
					$("#celular").inputmask("(00) 00000-0009")
				}else{
					$("#celular").inputmask("(00) 0000-00009")
				}
			})





      
  }

  function limpa_formulário_cep() {
    //Limpa valores do formulário de cep.
    
    document.getElementById('endereco_pessoa').value=("");
    document.getElementById('bairro_pessoa').value=("");
    document.getElementById('cidade_pessoa').value=("");
    document.getElementById('estado_pessoa').value=("");
    document.getElementById('endereco_empresa').value=("");
    document.getElementById('bairro_empresa').value=("");
    document.getElementById('cidade_empresa').value=("");
    document.getElementById('estado_empresa').value=("");
   // document.getElementById('uf').value=("");
    //document.getElementById('ibge').value=("");
}

function meu_callback(conteudo) {
if (!("erro" in conteudo)) {
    //Atualiza os campos com os valores.
    
      document.getElementById('endereco_pessoa').value=(conteudo.logradouro);
    
    
    document.getElementById('bairro_pessoa').value=(conteudo.bairro);
    document.getElementById('cidade_pessoa').value=(conteudo.localidade);
    document.getElementById('estado_pessoa').value=(conteudo.uf);
    document.getElementById('endereco_empresa').value=(conteudo.logradouro);
    document.getElementById('bairro_empresa').value=(conteudo.bairro);
    document.getElementById('cidade_empresa').value=(conteudo.localidade);
    document.getElementById('estado_empresa').value=(conteudo.uf);
    
   // document.getElementById('ibge').value=(conteudo.ibge);
} //end if.
else {
    //CEP não Encontrado.
    limpa_formulário_cep();
    alert("CEP não encontrado.");
}
}

function pesquisacep(valor) {

//Nova variável "cep" somente com dígitos.
var cep = valor.replace(/\D/g, '');

//Verifica se campo cep possui valor informado.
if (cep != "") {

    //Expressão regular para validar o CEP.
    var validacep = /^[0-9]{8}$/;

    //Valida o formato do CEP.
    if(validacep.test(cep)) {

        //Preenche os campos com "..." enquanto consulta webservice.
        document.getElementById('endereco_pessoa').value="...";
        document.getElementById('bairro_pessoa').value="...";
        document.getElementById('cidade_pessoa').value="...";
        document.getElementById('estado_pessoa').value="...";
        document.getElementById('endereco_empresa').value="...";
        document.getElementById('bairro_empresa').value="...";
        document.getElementById('cidade_empresa').value="...";
       document.getElementById('estado_empresa').value="...";
        //document.getElementById('ibge').value="...";

        //Cria um elemento javascript.
        var script = document.createElement('script');

        //Sincroniza com o callback.
        script.src = 'https://viacep.com.br/ws/'+ cep + '/json/?callback=meu_callback';

        //Insere script no documento e carrega o conteúdo.
        document.body.appendChild(script);

    } //end if.
    else {
        //cep é inválido.
        limpa_formulário_cep();
        alert("Formato de CEP inválido.");
    }
} //end if.
else {
    //cep sem valor, limpa formulário.
    limpa_formulário_cep();
}
};

  


